
;--------------------------------------------------------------------------
;	AIスイッチコマンド

[Command]
Name = "AI01"
Command = ~D,U,D,U,D,U,D,U,D,U,a
Time = 1

[Command]
Name = "AI02"
Command = ~D,U,D,U,D,U,D,U,D,U,b
Time = 1

[Command]
Name = "AI03"
Command = ~D,U,D,U,D,U,D,U,D,U,c
Time = 1

[Command]
Name = "AI04"
Command = ~D,U,D,U,D,U,D,U,D,U,x
Time = 1

[Command]
Name = "AI05"
Command = ~D,U,D,U,D,U,D,U,D,U,y
Time = 1

[Command]
Name = "AI06"
Command = ~D,U,D,U,D,U,D,U,D,U,z
Time = 1

[Command]
Name = "AI07"
Command = ~U,D,U,D,U,D,U,D,U,D,a
Time = 1

[Command]
Name = "AI08"
Command = ~U,D,U,D,U,D,U,D,U,D,b
Time = 1

[Command]
Name = "AI09"
Command = ~U,D,U,D,U,D,U,D,U,D,c
Time = 1

[Command]
Name = "AI10"
Command = ~U,D,U,D,U,D,U,D,U,D,x
Time = 1

[Command]
Name = "AI11"
Command = ~U,D,U,D,U,D,U,D,U,D,y
Time = 1

[Command]
Name = "AI12"
Command = ~U,D,U,D,U,D,U,D,U,D,z
Time = 1

[Command]
Name = "AI13"
Command = ~B,F,B,F,B,F,B,F,B,F,a
Time = 1

[Command]
Name = "AI14"
Command = ~B,F,B,F,B,F,B,F,B,F,b
Time = 1

[Command]
Name = "AI15"
Command = ~B,F,B,F,B,F,B,F,B,F,c
Time = 1

[Command]
Name = "AI16"
Command = ~B,F,B,F,B,F,B,F,B,F,x
Time = 1

[Command]
Name = "AI17"
Command = ~B,F,B,F,B,F,B,F,B,F,y
Time = 1

[Command]
Name = "AI18"
Command = ~B,F,B,F,B,F,B,F,B,F,z
Time = 1

[Command]
Name = "AI19"
Command = ~F,B,F,B,F,B,F,B,F,B,a
Time = 1

[Command]
Name = "AI20"
Command = ~F,B,F,B,F,B,F,B,F,B,b
Time = 1

[Command]
Name = "AI21"
Command = ~F,B,F,B,F,B,F,B,F,B,c
Time = 1

[Command]
Name = "AI22"
Command = ~F,B,F,B,F,B,F,B,F,B,x
Time = 1

[Command]
Name = "AI23"
Command = ~F,B,F,B,F,B,F,B,F,B,y
Time = 1

[Command]
Name = "AI24"
Command = ~F,B,F,B,F,B,F,B,F,B,z
Time = 1


;------------------------------
;	AI用コマンド

[Command]
Name = "236236236236C"
Command = ~D, DF, F, D, DF, F, D, DF, F, D, DF, F, c
Time = 1

[Command]
Name = "214214214214C"
Command = ~D, DB, B, D, DB, B, D, DB, B, D, DB, B, c
Time = 1

[Command]
Name = "4123641236C"
Command = ~B, DB, D, DF, F, B, DB, D, DF, F, c
Time = 1

[Command]
Name = "6321463214C"
Command = ~F, DF, D, DB, B, F, DF, D, DB, B, c
Time = 1

;------------------------------
;	超必殺技コマンド

[Command]
Name = "214Z"
Command = ~D, DB, B, z
Time = 20

[Command]
Name = "236Z"
Command = ~D, DF, F, z
Time = 20

[Command]
Name = "623Z"
Command = ~F, D, DF, z
Time = 20

[Command]
Name = "421Z"
Command = ~B, D, DB, z
Time = 20

[Command]
Name = "624Z"
Command = ~F, D, B, z
Time = 20

;------------------------------
;	必殺技コマンド

[Command]
Name = "214A"
Command = ~D, DB, B, a
Time = 15
[Command]
Name = "214B"
Command = ~D, DB, B, b
Time = 15
[Command]
Name = "214C"
Command = ~D, DB, B, c
Time = 15

[Command]
Name = "236A"
Command = ~D, DF, F, a
Time = 15
[Command]
Name = "236B"
Command = ~D, DF, F, b
Time = 15
[Command]
Name = "236C"
Command = ~D, DF, F, c
Time = 15

[Command]
Name = "623A"
Command = ~F, D, DF, a
Time = 15
[Command]
Name = "623B"
Command = ~F, D, DF, b
Time = 15
[Command]
Name = "623C"
Command = ~F, D, DF, c
Time = 15

[Command]
Name = "421A"
Command = ~B, D, DB, a
Time = 15
[Command]
Name = "421B"
Command = ~B, D, DB, b
Time = 15
[Command]
Name = "421C"
Command = ~B, D, DB, c
Time = 15

[Command]
Name = "624A"
Command = ~F, $D, B, a
Time = 20
[Command]
Name = "624B"
Command = ~F, $D, B, b
Time = 20
[Command]
Name = "624C"
Command = ~F, $D, B, c
Time = 20

;------------------------------
;	クラッシュコマンド

[Command]
Name = "22A"
Command = ~D, D, a
Time = 15
[Command]
Name = "22B"
Command = ~D, D, b
Time = 15
[Command]
Name = "22C"
Command = ~D, D, c
Time = 15
[Command]
Name = "22Z"
Command = ~D, D, z
Time = 15

;------------------------------
;	ダッシュコマンド

[Command]
Name = "66"     
Command = F, F
Time = 15
[Command]
Name = "44"     
Command = B, B
Time = 15

;------------------------------
;	受身コマンド

[Command]
Name = "recovery"
Command = x+y

[Command]
Name = "recoveryA"
Command = /F,a
[Command]
Name = "recoveryA"
Command = /F,b
[Command]
Name = "recoveryA"
Command = /F,c

[Command]
Name = "recoveryB"
Command = /B,a
[Command]
Name = "recoveryB"
Command = /B,b
[Command]
Name = "recoveryB"
Command = /B,c

;------------------------------
;	移動起き上がり用コマンド

[Command]
Name = "holda"
Command = /$a
Time = 1
[Command]
Name = "holdb"
Command = /$b
Time = 1
[Command]
Name = "holdc"
Command = /$c
Time = 1

[Command]
Name = "holdx"
Command = /$x
Time = 1
[Command]
Name = "holdy"
Command = /$y
Time = 1
[Command]
Name = "holdz"
Command = /$z
Time = 1

;------------------------------
;	単発コマンド

[Command]
Name = "2"
Command = D
Time = 1

;------------------------------

[Command]
Name = "a"
Command = a
Time = 1
[Command]
Name = "b"
Command = b
Time = 1
[Command]
Name = "c"
Command = c
Time = 1

[Command]
Name = "x"
Command = x
Time = 1
[Command]
Name = "y"
Command = y
Time = 1
[Command]
Name = "z"
Command = z
Time = 1

[Command]
Name = "start"
Command = s
Time = 1

;------------------------------

[Command]
Name = "holdfwd"
Command = /$F
Time = 1
[Command]
Name = "holdback"
Command = /$B
Time = 1

[Command]
Name = "holdup" 
Command = /$U
Time = 1
[Command]
Name = "holddown"
Command = /$D
Time = 1

[Command]
Name = "holda"
Command = /$a
Time = 1
[Command]
Name = "holdb"
Command = /$b
Time = 1
[Command]
Name = "holdc"
Command = /$c
Time = 1
[Command]
Name = "holdz"
Command = /$z
Time = 1

;==============================
[StateDef -1]

;■■■■■■■■■■■■■■■■■■■■■■■■■
;	プレイヤー操作用（萃夢想モード）
;--------------------------------------------------

;------------------------------　デバック用
[State -1, Test]
Type = Null;ChangeState
Value = 3590
TriggerAll = Command = "x"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl

;------------------------------自爆
[State -1, jibaku]
Type = ChangeState
Value = 3300
TriggerAll = Command = "x"
TriggerAll = Command = "y"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(4) = 1
Trigger3   = Var(5) = 1

;------------------------------MAX発動
[State -1, MAX]
Type = ChangeState
Value = 3150
TriggerAll = Command = "start"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = Power >= 3000;	パワー有り
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(4) = 1
Trigger3   = Var(5) = 1

;------------------------------白羅滅精
[State -1, Hakuramessei]
Type = ChangeState
Value = 3180
TriggerAll = Command = "624Z"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = Power >= 3000;	パワー有り
TriggerAll = StateType != A
Trigger1   = Ctrl

;------------------------------ジェノサイド
[State -1, Genocide]
Type = ChangeState
Value = 3170
TriggerAll = Command = "623Z"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(4) = 1
Trigger3   = Var(5) = 1

;------------------------------往復プレッシャー
[State -1, EX-Pressure]
Type = ChangeState
Value = 3130
TriggerAll = Command = "236Z"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = Power >= 3000;	パワー有り
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(4) = 1
Trigger3   = Var(5) = 1

;------------------------------Dead END
[State -1, Dead END]
Type = ChangeState
Value = 3220
TriggerAll = Command = "421Z"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = Power >= 3000;	パワー有り
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(4) = 1
Trigger3   = Var(5) = 1

;------------------------------カイザーフェニックス
[State -1, Phoenix]
Type = ChangeState
Value = 3110
TriggerAll = Command = "214Z"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = Power >= 3000;	パワー有り
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(4) = 1
Trigger3   = Var(5) = 1

;------------------------------ラストジャッジメント
[State -1, Last Judgement]
Type = ChangeState
Value = 3210
TriggerAll = Command = "22Z"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = Power >= 3000;	パワー有り
TriggerAll = StateType != A
Trigger1   = Ctrl

;------------------------------ディストラクション・フラン
[State -1, Destruction]
Type = ChangeState
Value = 3190
TriggerAll = Command = "624C"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = Power >= 1000;	パワー有り
TriggerAll = StateType != A
TriggerAll = Var(57) > 0
Trigger1   = Ctrl
Trigger2   = Var(4) = 1
Trigger3   = Var(5) = 1

;------------------------------ジェノサイド・ヘブン
[State -1, Heaven]
Type = ChangeState
Value = 3200
TriggerAll = Command = "421C"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = Power >= 1000;	パワー有り
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(4) = 1
Trigger3   = Var(5) = 1
Trigger4   = StateNo = [140,155]

;------------------------------デッドエンドスクリーマー
[State -1, Dead End Screemer]
Type = ChangeState
Value = 3140
TriggerAll = Command = "214C"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = Power >= 1000;	パワー有り
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(4) = 1
Trigger3   = Var(5) = 1

;------------------------------フランドール・エクスキュージョン
[State -1, Execution]
Type = ChangeState
Value = 3160
TriggerAll = Command = "623C"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = Power >= 1000;	パワー有り
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(4) = 1
Trigger3   = Var(5) = 1

;------------------------------Ｇプレッシャー
[State -1, Pressure]
Type = ChangeState
Value = 3120
TriggerAll = Command = "236C"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = Power >= 1000;	パワー有り
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(4) = 1
Trigger3   = Var(5) = 1

;------------------------------エクスキュージョン
[State -1, 1200]
Type = ChangeState
Value = 1200
TriggerAll = Command = "624B"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(5) = 1

;------------------------------ゴッドプレス
[State -1, 1210]
Type = ChangeState
Value = 1210
TriggerAll = Command = "624A"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(5) = 1

;------------------------------ダークネスジェノサイド
[State -1, 1141]
Type = ChangeState
Value = 1141
TriggerAll = Command = "623B"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(5) = 1
Trigger3   = StateNo = [140,155]

;------------------------------ダークネスジェノサイド
[State -1, 1140]
Type = ChangeState
Value = 1140
TriggerAll = Command = "623A"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(5) = 1
Trigger3   = StateNo = [140,155]

;------------------------------ヴァニシングラッシュ強
[State -1, 1160]
Type = ChangeState
Value = 1160
TriggerAll = Command = "421B"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(5) = 1

;------------------------------ヴァニシングラッシュ弱
[State -1, 1150]
Type = ChangeState
Value = 1150
TriggerAll = Command = "421A"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(5) = 1

;------------------------------ビースディストラクション
[State -1, 1100]
Type = ChangeState
Value = 1100
TriggerAll = Command = "214B"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(5) = 1

;------------------------------カイザーウェイブ
[State -1, 1130]
Type = ChangeState
Value = 1130
TriggerAll = Command = "236B"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(5) = 1

;------------------------------烈風拳
[State -1, 1110]
Type = ChangeState
Value = 1110
TriggerAll = Command = "236A"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(5) = 1

;------------------------------ゴッドレーン前進
[State -1, 1190]
Type = ChangeState
Value = 1190
TriggerAll = Command = "22A"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(5) = 1

;------------------------------ゴッドレーン後退
[State -1, 1191]
Type = ChangeState
Value = 1191
TriggerAll = Command = "22B"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(5) = 1

;------------------------------スカーレットバリア
[State -1, 1120]
Type = ChangeState
Value = 1120
TriggerAll = Command = "214A"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(5) = 1
Trigger3   = StateNo = [140,155]

;------------------------------スカーレットスマッシュ強
[State -1, 1171]
Type = ChangeState
Value = 1171
TriggerAll = Command = "236B"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType = A
Trigger1   = Ctrl
Trigger2   = (StateNo = 101) && (Time > 3)
Trigger3   = (StateNo = [110,119]) && (StateNo%5 = 1) && (Time > 9)
Trigger4   = Var(5) = 1

;------------------------------スカーレットスマッシュ弱
[State -1, 1170]
Type = ChangeState
Value = 1170
TriggerAll = Command = "236A"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType = A
Trigger1   = Ctrl
Trigger2   = (StateNo = 101) && (Time > 3)
Trigger3   = (StateNo = [110,119]) && (StateNo%5 = 1) && (Time > 9)
Trigger4   = Var(5) = 1

;------------------------------グラビティスマッシュ強
[State -1, 1185]
Type = ChangeState
Value = 1185
TriggerAll = Command = "214B"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType = A
Trigger1   = Ctrl
Trigger2   = (StateNo = 101) && (Time > 3)
Trigger3   = (StateNo = [110,119]) && (StateNo%5 = 1) && (Time > 9)
Trigger4   = Var(5) = 1
Trigger5 = StateNo = 1140 && AnimElemTime(10) >= 0
Trigger6 = StateNo = 1141 && AnimElemTime(21) >= 0

;------------------------------グラビティスマッシュ弱
[State -1, 1180]
Type = ChangeState
Value = 1180
TriggerAll = Command = "214A"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType = A
Trigger1   = Ctrl
Trigger2   = (StateNo = 101) && (Time > 3)
Trigger3   = (StateNo = [110,119]) && (StateNo%5 = 1) && (Time > 9)
Trigger4   = Var(5) = 1
Trigger5 = StateNo = 1140 && AnimElemTime(10) >= 0
Trigger6 = StateNo = 1141 && AnimElemTime(21) >= 0

;■■■■■■■■■■■■■■■■■■■■■■■■■
;	プレイヤー操作用（全モード共通）
;--------------------------------------------------

;------------------------------　避け
[State -1, 900]
Type = ChangeState
Value = 900
TriggerAll = Command = "z"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl

;------------------------------　チャージ
[State -1, 300]
Type = ChangeState
Value = 300
TriggerAll = Command = "c"
TriggerAll = Command = "holddown"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
TriggerAll = Power < PowerMax
Trigger1   = Ctrl
Trigger2   = (StateNo = 200) && MoveContact
Trigger3   = (StateNo = 210) && MoveContact
Trigger4   = (StateNo = 220) && MoveContact
Trigger5   = (StateNo = 400) && MoveContact
Trigger6   = (StateNo = 420) && MoveContact
Trigger7   = StateNo = 101
Trigger8   = StateNo = 320 && MoveContact
Trigger9   = Var(5) = 1
Trigger9   = Var(6) > 0

;------------------------------　ブレイク
[State -1, 340]
Type = ChangeState
Value = 340
TriggerAll = Command = "c"
TriggerAll = Command = "holdfwd"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = (StateNo = 200) && MoveContact
Trigger3   = (StateNo = 210) && MoveContact
Trigger4   = (StateNo = 220) && MoveContact
Trigger5   = (StateNo = 400) && MoveContact
Trigger6   = (StateNo = 420) && MoveContact
Trigger7   = StateNo = 101
Trigger8   = StateNo = 320 && MoveContact
Trigger9   = Var(5) = 1
Trigger9   = Var(6) > 0

;------------------------------　ボディブロー
[State -1, 320]
Type = ChangeState
Value = 320
TriggerAll = Command = "c"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = (StateNo = 200) && MoveContact
Trigger3   = (StateNo = 210) && MoveContact
Trigger4   = (StateNo = 220) && MoveContact
Trigger5   = (StateNo = 230) && MoveContact
Trigger6   = (StateNo = 400) && MoveContact
Trigger7   = (StateNo = 420) && MoveContact
Trigger8   = StateNo = 101
Trigger9   = Var(5) = 1
Trigger9   = Var(6) > 0

;------------------------------　サマソ
[State -1, 360]
Type = ChangeState
Value = 360
TriggerAll = Command = "c"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType = A
Trigger1   = Ctrl
Trigger2   = (StateNo = 101) && (Time > 3)
Trigger3   = (StateNo = [110,119]) && (StateNo%5 = 1) && (Time > 9)
Trigger4   = (StateNo = 600) && MoveContact
Trigger5   = (StateNo = 230) && MoveContact
Trigger6   = Var(5) = 1
Trigger6   = Var(6) > 0

;------------------------------　屈弱
[State -1, 400]
Type = ChangeState
Value = 400
TriggerAll = Command = "a"
TriggerAll = Command = "holddown"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = (StateNo = 400) && MoveContact
Trigger3   = Var(5) = 1
Trigger3   = Var(6) > 0

;------------------------------　屈強
[State -1, 420]
Type = ChangeState
Value = 420
TriggerAll = Command = "b"
TriggerAll = Command = "holddown"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = (StateNo = 400) && MoveContact
Trigger3   = Var(5) = 1
Trigger3   = Var(6) > 0

;------------------------------　レバー弱
[State -1, 210]
Type = ChangeState
Value = 210
TriggerAll = Command = "a"
TriggerAll = Command = "holdfwd"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = (StateNo = 200) && MoveContact
Trigger3   = (StateNo = 400) && MoveContact
Trigger4   = StateNo = 101
Trigger5   = Var(5) = 1
Trigger5   = Var(6) > 0

;------------------------------　レバー強
[State -1, 230]
Type = ChangeState
Value = 230
TriggerAll = Command = "b"
TriggerAll = Command = "holdfwd"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = (StateNo = 200) && MoveContact
Trigger3   = (StateNo = 210) && MoveContact
Trigger4   = (StateNo = 220) && MoveContact
Trigger5   = (StateNo = 400) && MoveContact
Trigger6   = (StateNo = 420) && MoveContact
Trigger7   = StateNo = 101
Trigger8   = Var(5) = 1
Trigger8   = Var(6) > 0

;------------------------------　立ち弱
[State -1, 200]
Type = ChangeState
Value = 200
TriggerAll = Command = "a"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = (StateNo = 200) && MoveContact
Trigger3   = Var(5) = 1
Trigger3   = Var(6) > 0

;------------------------------　立ち強
[State -1, 220]
Type = ChangeState
Value = 220
TriggerAll = Command = "b"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = (StateNo = 200) && MoveContact
Trigger3   = Var(5) = 1
Trigger3   = Var(6) > 0

;------------------------------　空中弱
[State -1, 600]
Type = ChangeState
Value = 600
TriggerAll = Command = "a"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType = A
Trigger1   = Ctrl
Trigger2   = Var(5) = 1
Trigger2   = Var(6) > 0

;------------------------------　空中強
[State -1, 620]
Type = ChangeState
Value = 620
TriggerAll = Command = "b"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType = A
Trigger1   = Ctrl
Trigger2   = (StateNo = 600) && MoveContact
Trigger3   = Var(5) = 1
Trigger3   = Var(6) > 0

;------------------------------　ダッシュ
[State -1, 100]
Type = ChangeState
Value = 100
TriggerAll = (Command = "66") || ((Command = "holdfwd") && (Command = "z"))
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = Var(5) = 1
Trigger2   = Var(6) > 0

;------------------------------　バックダッシュ
[State -1, 105]
Type = ChangeState
Value = 105
TriggerAll = (Command = "44") || ((Command = "holdback") && (Command = "z"))
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = (StateNo = 200) && MoveContact
Trigger3   = (StateNo = 210) && MoveContact
Trigger4   = (StateNo = 220) && MoveContact
Trigger5   = (StateNo = 400) && MoveContact
Trigger6   = (StateNo = 420) && MoveContact
Trigger7   = StateNo = 101
Trigger8   = Var(5) = 1
Trigger8   = Var(6) > 0

;------------------------------　空中ダッシュ
[State -1, 110]
Type = ChangeState
Value = 110
TriggerAll = (Command = "66") || ((Command = "holdfwd") && (Command = "z"))
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = Var(10) > 0;	空中ダッシュ可能
TriggerAll = StateType = A
Trigger1   = Ctrl
Trigger2   = (StateNo = [110,119]) && (StateNo%5 = 1) && (Time > 9)
Trigger3   = (StateNo = 521) && (AnimElem = 5, >0)
Trigger4   = (StateNo = [700,749]) && (StateNo%5 > 0)
Trigger5   = Var(5) = 1
Trigger5   = Var(6) > 0

;------------------------------　空中バックダッシュ
[State -1, 115]
Type = ChangeState
Value = 115
TriggerAll = (Command = "44") || ((Command = "holdback") && (Command = "z"))
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = Var(10) > 0;	空中ダッシュ可能
TriggerAll = StateType = A
Trigger1   = Ctrl
Trigger2   = (StateNo = [110,119]) && (StateNo%5 = 1)  && (Time > 9)
Trigger3   = (StateNo = 521) && (AnimElem = 5, >0)
Trigger4   = (StateNo = [700,749]) && (StateNo%5 > 0)
Trigger5   = Var(5) = 1
Trigger5   = Var(6) > 0

;------------------------------　高速ジャンプ
[State -1, 103]
Type = ChangeState
Value = 103
TriggerAll = Command = "holdup"
TriggerAll = Command != "holddown"
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = Var(11) > 0;	高速ジャンプ可能
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = (StateNo = [300,319]) && (StateNo%5 > 0)
Trigger3   = (StateNo = [320,349]) && (StateNo%5 = 0) && (AnimElem = 6, >0)
Trigger4   = (StateNo = 500) && (AnimElem = 5, >0)
Trigger5   = (StateNo = 540) && (AnimElem = 4, >0)
Trigger6   = (StateNo = 1060) && (Time > 35)
Trigger7   = (StateNo = 1160) && (Time > 42)
Trigger8   = Var(5) = 1
Trigger8   = Var(6) > 0

;------------------------------　ジャンプ
[State -1, 40]
Type = ChangeState
Value = 40
TriggerAll = Command = "holdup" 
TriggerAll = Var(49) = 0;	AI不可
TriggerAll = StateType != A
Trigger1   = Ctrl

